Subject: bug#21396: 25.0.50; read-key's prompt is not visible

From: Tassilo Horn <[email-masked]>
Date: Fri, 04 Sep 2015 10:04:07 +0200

Eli Zaretskii <[email-masked]> writes:

>> I'm guilty of having (fset 'yes-or-no-p 'y-or-n-p) in my ~/.emacs,
>> too, but what does this have to do with this issue?
>
> If you don't expect that fset to continue working, nothing.

I expect that I can alias/fset, add-function :override, or redefine any
emacs function with a semantically equivalent function.  Redefining
functions is the worst of all customization possibilities, of course,
but what is the reason that the above cannot be expected to continue
working?

Bye,
Tassilo